import request from "../../utils/request"

// pages/strategy/strategy.js
Page({

    /**
     * 页面的初始数据
     */
    data: {        
        strategyList:[]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad:async function(options) {
        let result = await request('/front/strategyFront')
        // console.log(result);
        var strategy = []
        for(let i = 0;i < result.length;i++){
            if(result[i].status == 1){
                strategy.push(result[i])
            }
            // console.log(strategy);
        }
        this.setData({
            strategyList:strategy
        })
        // console.log(this.data.strategyList);
    },

    //点击跳转到攻略详情
    toStrategyDetail(e){
        // console.log(e);
        // console.log(e.currentTarget.dataset.item.id);
        let currentId = e.currentTarget.dataset.item.id
        wx.navigateTo({
          url: '/pages/strategyDetail/strategyDetail?id='+currentId,
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})